summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
commit6aa559408484892f0e25a5190252e4914dbce446 (patch)
tree33573bbb87dedd63a36e9c9c964cccdc895d081a /audio
parent7ce475920c6ad1c52b0fc1544ae94b5caeee4ca0 (diff)
downloadslackbuilds-6aa559408484892f0e25a5190252e4914dbce446.tar.gz
slackbuilds-6aa559408484892f0e25a5190252e4914dbce446.tar.xz
audio/awesfx: Moved from multimedia
Diffstat (limited to 'audio')
-rw-r--r--audio/awesfx/README3
-rw-r--r--audio/awesfx/awesfx.SlackBuild60
-rw-r--r--audio/awesfx/awesfx.info8
-rw-r--r--audio/awesfx/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/audio/awesfx/README b/audio/awesfx/README
new file mode 100644
index 0000000000..fcac871e8e
--- /dev/null
+++ b/audio/awesfx/README
@@ -0,0 +1,3 @@
+This package includes several utilities for the AWE32
+sound driver on Linux and FreeBSD systems and for the
+Emux WaveTable of ALSA sbawe and emu10k1 drivers.
diff --git a/audio/awesfx/awesfx.SlackBuild b/audio/awesfx/awesfx.SlackBuild
new file mode 100644
index 0000000000..c8ad76208c
--- /dev/null
+++ b/audio/awesfx/awesfx.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for awesfx
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+set -e
+
+PRGNAM=awesfx
+VERSION=0.5.1a
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README SBKtoSF2.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/awesfx/awesfx.info b/audio/awesfx/awesfx.info
new file mode 100644
index 0000000000..3e49bbe610
--- /dev/null
+++ b/audio/awesfx/awesfx.info
@@ -0,0 +1,8 @@
+PRGNAM="awesfx"
+VERSION="0.5.1a"
+HOMEPAGE="http://www.alsa-project.org/~iwai/awedrv.html"
+DOWNLOAD="ftp://ftp.suse.com/pub/people/tiwai/awesfx/awesfx-0.5.1a.tar.bz2"
+MD5SUM="edeb9a25e505c9c85cb2453175b0dd1a"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/awesfx/slack-desc b/audio/awesfx/slack-desc
new file mode 100644
index 0000000000..d4c0df3efa
--- /dev/null
+++ b/audio/awesfx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+awesfx: awesfx (AWE32 sound driver)
+awesfx:
+awesfx: This package includes several utilities for the AWE32
+awesfx: sound driver on Linux and FreeBSD systems and for the
+awesfx: Emux WaveTable of ALSA sbawe and emu10k1 drivers.
+awesfx:
+awesfx: Homepage: http://www.alsa-project.org/~iwai/awedrv.html
+awesfx:
+awesfx:
+awesfx:
+awesfx: